<?php
	   include('../conexion.php'); 
  
	   
$base_url = $_GET['base_url'];

    $resultado2 = $mysqli->query("SELECT * FROM wc_parametros_fe");
    $datos = $resultado2->fetch_array();
    $ftp_server    = $datos["ftp_server"];
    $ftp_user_name = $datos["ftp_user_name"];
    $ftp_user_pass = $datos["ftp_user_pass"];
    $UriSubirXml   = $datos["UriSubirXml"];
 
 
$consulta = "SELECT codnota, numcomp  FROM facturas_notas   WHERE     estadoComprobanteIntegracion =0  || ( estadoComprobanteIntegracion  between 11  and 201 ) || ( estadoComprobanteIntegracion  between 203  and 402 )  ||  estadoComprobanteIntegracion > 403 LIMIT 15   " ;


   if ($resultado = $mysqli->query($consulta)){
        //Conexion unica de FTP
        $conn_id = ftp_connect($ftp_server);
        $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
        while ($fila = $resultado->fetch_assoc()) {		
            $codnota = $fila["codnota"];
            file_get_contents("$base_url/FE/notaCredito/nt.php?f=$codnota");            
            
            $numcomp  =  $fila["numcomp"];
            $local_file ='../FE/notaCredito/crt/comprobantes/'.$numcomp.'.xml';
            if (file_exists($local_file)) {                 
                    $server_file = $UriSubirXml.$numcomp.'.xml';                  
                    if (ftp_put($conn_id, $server_file, $local_file, FTP_BINARY)){
                        //echo "La base de datos a sido actualizada de de forma exitosa\n";		
                    }  
                   
                }
        }
        ftp_close($conn_id);
    }

